﻿**Data Summary**

The data set contains three different experiments of 2-photon imaging of GCaMP6f fluorescence in primary visual cortex of awake, transgenic mice (genotype: Emx1cre-Ai93-Camk2a-tTA).  Each of the uploaded data sets include motion-corrected movies containing one channel of single plane 2-photon data, acquired at ~15.5 Hz, saved as a binary file, and a MATLAB data file containing the locations of the suite2p processed segments and corresponding fluorescence intensity values of the given segments.  The details of the experiments are described in:

Jeon BB, Swain AD, Good JT, Chase SM, Kuhlman SJ. Feature selectivity is stable in primary visual cortex across a range of spatial frequencies. Sci Rep. 2018 Oct 16;8(1):15288. doi: 10.1038/s41598-018-33633-2. PMID: 30327571; PMCID: PMC6191427.

**Visual Stimulus**

The visual stimuli consisted of 180 full-field static gratings of various orientation and spatial frequency.  The stimulus set was generated and presented using Psychtoolbox-3 in MATLAB.  The code to generate and present the stimulus is ‘presentStaticGrating\_Rapid.m’

**Binary File**

The binary file is the motion-corrected 2-photon data for a given session.  During the experiment, the stimulus set was presented in a block of four repetitions.  A ‘file’ corresponds to this block.  All recorded files from a given session was conglomerated into a single binary file.

**MATLAB Data File**

Each session also has a MATLAB data file, containing the locations of Suite2p (https://github.com/cortex-lab/Suite2P) identified cells and their fluorescence intensity values.  We used the MATLAB version of the Suite2P, not the PYTHON version.  The information is saved in two separate data structures: ‘**config**’ and ‘**data**’.

‘**config**’ variable stores various information about the binary file as well as the location of the cells in the recording field of view.

**Variables saved in config**

**expID**: session identifier.

**imageDimension**: the x and y dimension of the movie in pixels.

**pixelsize**: the x and y dimension of each pixel in µm.

**binFileName**: the name of the binary movie file.

**stimParm**: structure containing information about the static grating stimulus set. 

`	`**numstim**: total number of unique stimulus presented.

`	`**SFspacing**: spacing between spatial frequencies of stimuli in units of cycles/°.

`	`**SFLow**: the lowest stimulus spatial frequency.

`	`**SFHigh**: the highest stimulus spatial frequency. 

`	`**numOri**: number of different stimulus orientations for each spatial frequency.

**fileInfo**: structure containing the start frame and the number of frames for each acquired file.

`	`**startframe**: the first frame of each file in ‘allsignals’.  The length of this vector is the number of recorded files.

`	`**numFrames**: the number of frames in each file in ‘allsignals’.

**cellLoc**: the (x,y) coordinate location of the identified cell in the binary file. The length of this sub-structure is the number of identified cells for a given session.

`	`**xpix**: the x coordinates of the pixels belonging to a cell.  the length of this vector is the number of pixels belonging to the identified cell.

`	`**ypix**: the y coordinates of the pixels belonging to a cell.

‘**data**’ variable contains the fluorescence intensity values of the cells as well as the frame at which each stimulus was presented.  Each row represents a single ‘file’.

**Variables saved in data**

**dF**: neuropil-subtracted fluorescence trace of all the cells for each file.  The dimension of the field is number of cells by number of frames.  For details on neuropil subtraction, refer to <https://www.biorxiv.org/content/10.1101/061507v2>. 

**running\_speed**: The instantaneous speed of the locomotion at each frame. See methods section of Jeon et al., Sci Rep, 2018.

**stimOn**: the frame at which a stimulus was presented.  In each file, 720 stimuli were presented.

**stimBlocks**: the identity of the presented stimulus matching the presented frame information in ‘**stimOn**’.  The first column of this variable is the unique ID assigned to the stimulus.  The second column is the orientation of the stimulus in degrees.  The third column is the spatial frequency of the stimulus in cycles per degree.




